<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>starterHS.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>Switch-Starter</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>Switch-Starter</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>fond</object-name>
    <object-name>Switch-Starter</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>pick</type>
    <visible>true</visible>
    <object-name>Switch-Starter</object-name>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-assign</command>
        <property>/controls/switches/starter</property>
        <value type="int">1</value>
      </binding>
      <binding>
        <command>nasal</command>
        <script>controls.startEngine()</script>
      </binding>
      <mod-up>
        <binding>
          <command>property-assign</command>
          <property>/controls/switches/starter</property>
          <value type="int">0</value>
        </binding>
        <binding>
          <command>nasal</command>
          <script>props.setAll("/controls/engines/engine", "starter", 0)</script>
        </binding>
      </mod-up>
    </action>
  </animation>

  <animation>
    <type>translate</type>
    <object-name>Switch-Starter</object-name>
    <property>controls/switches/starter</property>
    <factor> 0.005 </factor>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
  </animation>

</PropertyList>
